Bug 457485 - traceback in system-config-firewall.py line 29
traceback in system-config-firewall.py line 29
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 17:45 EDT by Karsten Hopp
Modified: 2008-10-28 11:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 13:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2008-07-31 17:45:00 EDT
Description of problem:
# system-config-firewallNo protocol specified
Traceback (most recent call last):
  File "/usr/share/system-config-firewall/system-config-firewall.py", line 29,
in <module>
    os.execv(argv[0], argv)
OSError: [Errno 2] Datei oder Verzeichnis nicht gefunden

The path to /usr/sbin/system-config-firewall-tui seems to have changed to
/usr/bin/system-config-firewall-tui. 

Version-Release number of selected component (if applicable):
system-config-firewall-1.2.10-1.fc10
system-config-firewall-tui-1.2.10-1.fc10

How reproducible:
always

Steps to Reproduce:
1. try to start system-config-firewall without DISPLAY set
Comment 1 Thomas Woerner 2008-09-30 13:33:07 EDT
Fixed in rawhide in package system-config-firewall-1.2.11-1.fc10.
Comment 2 Christian Ziemski 2008-10-28 05:44:25 EDT
It's still broken in system-config-firewall-1.2.12
Comment 3 Thomas Woerner 2008-10-28 11:21:47 EDT
Finally fixed in rawhide in package system-config-firewall-1.2.13-2 or newer.

Note You need to log in before you can comment on or make changes to this bug.